## bison++ 1.21.11

=== Makefile ===
# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = .

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/share/info
mandir = ${prefix}/share/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/bison++
pkglibdir = $(libdir)/bison++
pkgincludedir = $(includedir)/bison++

top_builddir = .

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
AWK = mawk
CC = gcc
LN_S = ln -s
MAKEINFO = makeinfo
PACKAGE = bison++
VERSION = 2.21.5

bin_PROGRAMS = bison++
AUTOMAKE_OPTIONS = foreign 

bison___SOURCES = closure.cc 			derives.cc 			getargs.cc 			getopt1.cc 			lalr.cc  			lr0.cc 			nullable.cc 			print.cc 			reduce.cc 			version.cc 			warshall.cc 			allocate.cc 			conflict.cc 			files.cc 			getopt.cc 			gram.cc 			lex.cc 			main.cc 			output.cc 			reader.cc 			symtab.cc 			old.c 


info_TEXINFOS = bison.texinfo
man_MANS = bison++.1 bison.1 bison++.yacc.1
pkgdata_DATA = bison.cc bison.hairy bison.h Example
CXX = g++
PFILE = bison.cc
PFILE1 = bison.hairy
HFILE = bison.h
INCLUDES = -DXPFILE=\"$(datadir)/bison++/$(PFILE)\" 	 -DXHFILE=\"$(datadir)/bison++/$(HFILE)\" 	 -DXPFILE1=\"$(datadir)/bison++/$(PFILE1)\"

ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DPACKAGE_NAME=\"FULL-PACKAGE-NAME\" -DPACKAGE_TARNAME=\"full-package-name\" -DPACKAGE_VERSION=\"VERSION\" -DPACKAGE_STRING=\"FULL-PACKAGE-NAME\ VERSION\" -DPACKAGE_BUGREPORT=\"BUG-REPORT-ADDRESS\" -DPACKAGE=\"bison++\" -DVERSION=\"2.21.5\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_ALLOCA_H=1 -DHAVE_MALLOC_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STDDEF_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_STRINGS_H=1 -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -DHAVE_STDLIB_H=1 -DHAVE_MALLOC=1  -I. -I$(srcdir) 
CPPFLAGS = 
LDFLAGS = 
LIBS = 
bison___OBJECTS =  closure.o derives.o getargs.o getopt1.o lalr.o lr0.o \
nullable.o print.o reduce.o version.o warshall.o allocate.o conflict.o \
files.o getopt.o gram.o lex.o main.o output.o reader.o symtab.o old.o
bison___LDADD = $(LDADD)
bison___DEPENDENCIES = 
bison___LDFLAGS = 
CXXFLAGS = -g -O2
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
TEXI2DVI = texi2dvi
INFO_DEPS = bison.info
DVIS = bison.dvi
TEXINFOS = bison.texinfo
man1dir = $(mandir)/man1
MANS = $(man_MANS)

NROFF = nroff
DATA =  $(pkgdata_DATA)

DIST_COMMON =  COPYING ChangeLog INSTALL Makefile.am Makefile.in \
aclocal.m4 configure configure.in install-sh mdate-sh missing \
mkinstalldirs stamp-vti texinfo.tex version.texi


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
DEP_FILES =  .deps/allocate.P .deps/closure.P .deps/conflict.P \
.deps/derives.P .deps/files.P .deps/getargs.P .deps/getopt.P \
.deps/getopt1.P .deps/gram.P .deps/lalr.P .deps/lex.P .deps/lr0.P \
.deps/main.P .deps/nullable.P .deps/old.P .deps/output.P .deps/print.P \
.deps/reader.P .deps/reduce.P .deps/symtab.P .deps/version.P \
.deps/warshall.P
SOURCES = $(bison___SOURCES)
OBJECTS = $(bison___OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cc .dvi .info .o .ps .s .texi .texinfo .txi
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

bison++: $(bison___OBJECTS) $(bison___DEPENDENCIES)
	@rm -f bison++
	$(CXXLINK) $(bison___LDFLAGS) $(bison___OBJECTS) $(bison___LDADD) $(LIBS)
.cc.o:
	$(CXXCOMPILE) -c $<

$(srcdir)/version.texi: stamp-vti
	@:

$(srcdir)/stamp-vti: bison.texinfo $(top_srcdir)/configure.in
	@echo "@set UPDATED `$(SHELL) $(srcdir)/mdate-sh $(srcdir)/bison.texinfo`" > vti.tmp
	@echo "@set EDITION $(VERSION)" >> vti.tmp
	@echo "@set VERSION $(VERSION)" >> vti.tmp
	@cmp -s vti.tmp $(srcdir)/version.texi \
	  || (echo "Updating $(srcdir)/version.texi"; \
	      cp vti.tmp $(srcdir)/version.texi)
	-@rm -f vti.tmp
	@cp $(srcdir)/version.texi $@

mostlyclean-vti:
	-rm -f vti.tmp

clean-vti:

distclean-vti:

maintainer-clean-vti:
	-rm -f $(srcdir)/stamp-vti $(srcdir)/version.texi

bison.info: bison.texinfo version.texi
bison.dvi: bison.texinfo version.texi


DVIPS = dvips

.texi.info:
	@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.texi.dvi:
	TEXINPUTS=.:$$TEXINPUTS \
	  MAKEINFO='$(MAKEINFO) -I $(srcdir)' $(TEXI2DVI) $<

.texi:
	@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.texinfo.info:
	@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.texinfo:
	@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.texinfo.dvi:
	TEXINPUTS=.:$$TEXINPUTS \
	  MAKEINFO='$(MAKEINFO) -I $(srcdir)' $(TEXI2DVI) $<

.txi.info:
	@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`

.txi.dvi:
	TEXINPUTS=.:$$TEXINPUTS \
	  MAKEINFO='$(MAKEINFO) -I $(srcdir)' $(TEXI2DVI) $<

.txi:
	@cd $(srcdir) && rm -f $@ $@-[0-9] $@-[0-9][0-9]
	cd $(srcdir) \
	  && $(MAKEINFO) `echo $< | sed 's,.*/,,'`
.dvi.ps:
	$(DVIPS) $< -o $@

install-info-am: $(INFO_DEPS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(infodir)
	@list='$(INFO_DEPS)'; \
	for file in $$list; do \
	  d=$(srcdir); \
	  for ifile in `cd $$d && echo $$file $$file-[0-9] $$file-[0-9][0-9]`; do \
	    if test -f $$d/$$ifile; then \
	      echo " $(INSTALL_DATA) $$d/$$ifile $(DESTDIR)$(infodir)/$$ifile"; \
	      $(INSTALL_DATA) $$d/$$ifile $(DESTDIR)$(infodir)/$$ifile; \
	    else : ; fi; \
	  done; \
	done
	@$(POST_INSTALL)
	@if $(SHELL) -c 'install-info --version | sed 1q | fgrep -s -v -i debian' >/dev/null 2>&1; then \
	  list='$(INFO_DEPS)'; \
	  for file in $$list; do \
	    echo " install-info --info-dir=$(DESTDIR)$(infodir) $(DESTDIR)$(infodir)/$$file";\
	    install-info --info-dir=$(DESTDIR)$(infodir) $(DESTDIR)$(infodir)/$$file || :;\
	  done; \
	else : ; fi

uninstall-info:
	$(PRE_UNINSTALL)
	@if $(SHELL) -c 'install-info --version | sed 1q | fgrep -s -v -i debian' >/dev/null 2>&1; then \
	  ii=yes; \
	else ii=; fi; \
	list='$(INFO_DEPS)'; \
	for file in $$list; do \
	  test -z "$$ii" \
	    || install-info --info-dir=$(DESTDIR)$(infodir) --remove $$file; \
	done
	@$(NORMAL_UNINSTALL)
	list='$(INFO_DEPS)'; \
	for file in $$list; do \
	  (cd $(DESTDIR)$(infodir) && rm -f $$file $$file-[0-9] $$file-[0-9][0-9]); \
	done

dist-info: $(INFO_DEPS)
	list='$(INFO_DEPS)'; \
	for base in $$list; do \
	  d=$(srcdir); \
	  for file in `cd $$d && eval echo $$base*`; do \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file; \
	  done; \
	done

mostlyclean-aminfo:
	-rm -f bison.aux bison.cp bison.cps bison.dvi bison.fn bison.fns \
	  bison.ky bison.kys bison.ps bison.log bison.pg bison.toc \
	  bison.tp bison.tps bison.vr bison.vrs bison.op bison.tr \
	  bison.cv bison.cn

clean-aminfo:

distclean-aminfo:

maintainer-clean-aminfo:
	cd $(srcdir) && for i in $(INFO_DEPS); do \
	  rm -f $$i; \
	  if test "`echo $$i-[0-9]*`" != "$$i-[0-9]*"; then \
	    rm -f $$i-[0-9]*; \
	  fi; \
	done

install-man1:
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst; \
	done

uninstall-man1:
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man1dir)/$$inst; \
	done
install-man: $(MANS)
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-man1
uninstall-man:
	@$(NORMAL_UNINSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-man1

install-pkgdataDATA: $(pkgdata_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)
	@list='$(pkgdata_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(pkgdatadir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(pkgdatadir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(pkgdatadir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(pkgdatadir)/$$p; \
	  fi; fi; \
	done

uninstall-pkgdataDATA:
	@$(NORMAL_UNINSTALL)
	list='$(pkgdata_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(pkgdatadir)/$$p; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)

=== Example/Makefile ===

.SUFFIXES : .cc .y .l $(SUFFIXES)

.cc.o :
	g++ -g  -I . -I$(CENTERCCLIBDIR)/incl -c  $*.cc

.y.cc :
	bison++ -d  -o $*.cc -h $*.h  $*.y
.l.cc :
	flex++  -o$*.cc $*.l
.y.h :
	bison++ -d  -o $*.cc -h $*.h  $*.y
.l.h :
	flex++  -o$*.cc $*.l

# COMPILER SAMPLE

MyCompiler.o : MyCompiler.cc MyParser.h MyScanner.h

MyParser.o : MyParser.cc MyParser.h

MyScanner.o : MyScanner.cc MyScanner.h MyParser.h

MyParser.cc : MyParser.y

MyScanner.cc : MyScanner.l

MyParser.h : MyParser.y

MyScanner.h : MyScanner.l

compiler : MyCompiler.o MyParser.o MyScanner.o
	g++  -o $@ MyCompiler.o MyParser.o MyScanner.o

## bison++ 1.21.8-3

=== debian/changelog ===
bison++ (1.21.8-3) unstable; urgency=low

  * Added example, more docs and README info Closes: #123757

 -- Magnus Ekdahl <magnus@debian.org>  Sun, 14 Apr 2002 21:12:30 +0200

bison++ (1.21.8-2.1) unstable; urgency=low

  * NMU
  * Just one change: Depends: libc6 -> Depends: ${shilbs:Depends}
  * It should now install on the alpha just fine (Closes: #142472)

 -- Moshe Zadka <moshez@debian.org>  Fri, 12 Apr 2002 11:25:26 +0300
	

bison++ (1.21.8-2) unstable; urgency=low

  * added Alain to authors closes: #133606
  * added missing info files
  * added missing man link

 -- Magnus Ekdahl <magnus@debian.org>  Sun, 17 Feb 2002 19:12:40 +0100

bison++ (1.21.8-1) unstable; urgency=low

  * updated to upstream version 1.21.8
  * added yacc compability closes: #132665

 -- Magnus Ekdahl <magnus@debian.org>  Fri,  8 Feb 2002 09:25:06 +0100

bison++ (1.21.5-4) unstable; urgency=low

  * removed irrelevant/meaningless documentation closes: #128587

 -- Magnus Ekdahl <magnus@debian.org>  Fri, 11 Jan 2002 00:17:31 +0100

bison++ (1.21.5-3) unstable; urgency=low

  * fixed spelling closes: #124455
  * discussed bug #115234 with user and concluded that it was misplaced
    closes: #115234

 -- Magnus Ekdahl <magnus@debian.org>  Sat,  5 Jan 2002 11:42:58 +0100

bison++ (1.21.5-2) unstable; urgency=low

  * fixed the install info scripts (closes: #114838, #115234, #123662, #123916)
  * updated /usr/doc changes according to recomendation of the technical committee
 -- Magnus Ekdahl <magnus@debian.org>  Wed, 10 Oct 2001 13:42:38 +0200

bison++ (1.21.5-1) unstable; urgency=low

  * Initial release.
  * fixed a bison link to bison++ in order for bison++ to provide full and transparent bison functionality.
  * converted to makefiles to autoconf/automake 
  * removed unused files alloc.c vmsgetargs.c vmshlp.mar
  * fixed race condition in files.c
 -- Magnus Ekdahl <maguno@ludd.luth.se>  Thu,  5 Jul 2001 13:06:25 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: bison++
Section: devel
Priority: optional
Maintainer:  Magnus Ekdahl <magnus@debian.org>
Standards-Version: 3.5.6.0
Build-Depends: debhelper

Package: bison++
Architecture: any
Depends: ${shlibs:Depends}
Provides: bison
Conflicts: bison
Recommends: flex, c-compiler
Description: generate a parser in c or c++ from BNF notation
 Based on bison version 1.19. Compatible with bison but with C++ support. 
 Bison is a general-purpose parser generator that converts a grammar 
 description for an LALR (BNF-like) context free grammar into a C/C++ program 
 to parse that grammar. Once you are proficient with bison++ you can generate 
 a wide range of language parsers, from those used in simple desk calculators 
 to complex programming languages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	chmod a+x bison++.yacc
	chmod a+x mdate-sh
	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/bison++.sgml > bison++.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	#dh_installdirs

	# Add here commands to install the package into debian/bison++.
	$(MAKE) install prefix=$(CURDIR)/debian/bison++/usr
	mkdir $(CURDIR)/debian/bison++/usr/share/doc
	mkdir $(CURDIR)/debian/bison++/usr/share/doc/bison++
	cp -r Example $(CURDIR)/debian/bison++/usr/share/doc/bison++/
	cp -r bison.ps.gz $(CURDIR)/debian/bison++/usr/share/doc/bison++/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress -X.h
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## bison++ 1.21.11

=== debian/changelog ===
bison++ (1.21.11-5) unstable; urgency=medium

  * Update packaging clean target (closes: #997419).
  * Remove Jose Luis Tallon from uploaders (closes: #838075).
   * Update debhelper level to 13:
     - don't specify parallel to debhelper.
   * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Oct 2021 08:32:10 +0200

bison++ (1.21.11-4) unstable; urgency=low

  * Add debian/compat (closes: #817312).
  * Use debhelper level 9 update packaging accordingly (closes: #817378).
  * Migrate d/copyright to format 1.0 .
  * Switch to '3.0 (quilt)' packaging format.
  * Use short debhelper rules format, further update packaging.
  * Refresh auto* files.
  * Install Example/ files as examples.
  * Update Standards-Version to 3.9.8 .
  * New maintainer with ACK from Jose Luis, but keep him as uploader.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Jun 2016 07:33:20 +0000

bison++ (1.21.11-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Get rid of install-info calls in maintainer scripts.  (Closes: #708488)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Jan 2014 19:41:03 +0100

bison++ (1.21.11-3) unstable; urgency=low

  * Acknowledge NMU. Thanks!
  * Updates:
    - use new C++ ABI. (Closes: #326448)
    - Update standard-version to 3.6.2.1 (no changes required).
    - Update the FSF address to the current one.
  * Updated control file
    - conflict with bison-doc (Closes: #341349)
    - Not provide "bison" anymore -- this is obsolete (Closes: #360557)
    - Fix inconsistent command line arg handling (Closes: #242027)

  * Fix incorrect removal of yacc alternative (Closes: #327146)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 11 May 2006  1:28:09 +0200

bison++ (1.21.11-2.1) unstable; urgency=low

  * Delayed non-maintainer upload to use new C++ ABI. (Closes: #326448)
  * Update standard-version to 3.6.2.1 (no changes required).
  * Update the FSF address to the current one.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  3 Sep 2005 13:25:48 +0200

bison++ (1.21.11-2) unstable; urgency=low

  * New maintainer. Adoption granted by Magnus Ekdahl (Closes: #228943, #228950)
  * Upload sponsored by Roberto Lumbreras <rover@debian.org>
  * Minor changes, bump 'Standards-Version' to current version.

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 25 Jan 2004 13:18:33 +0100

bison++ (1.21.11-1) unstable; urgency=low

  * Fixed g++3.3 typo, should be g++ (closes:Bug#199754)
  * Changed flex recomendation to flex-old (closes:Bug#195893)
  * changed the package type to non-native (closes:Bug#199753)

 -- Magnus Ekdahl <magnus@debian.org>  Tue, 22 Jul 2003 14:55:11 +0200

bison++ (1.21.10-1) unstable; urgency=low

  * g++ 3.3 transition (closes: Bug#194863)
  * Spell-check
  * FreeBSD compability patch from Victor Fajardo
  * changed mkstemp -> tmpfile (closes: Bug#194205)

 -- Magnus Ekdahl <magnus@debian.org>  Tue, 27 May 2003 20:14:38 +0200

bison++ (1.21.9-3) unstable; urgency=low

  * removed usr-doc-link
  * Capitalized first letter in package description
  * Fixed typo in Example/test.txt

 -- Magnus Ekdahl <magnus@debian.org>  Wed, 13 Nov 2002 20:48:32 +0100

bison++ (1.21.9-2) unstable; urgency=low

  * fixed C++ incompability problem on hppa (closes: Bug#154496)

 -- Magnus Ekdahl <magnus@debian.org>  Sat, 27 Jul 2002 11:02:18 -0600

bison++ (1.21.9-1) unstable; urgency=low

  * Added bison 1.24 GPL exception after request from Richard Kreuter, and legal advice from R.Stallman.
  * cleaned maintainer scripts
  * fixed namespace conflicts with tetex-bin  (closes: Bug#153093)
  * fixed bug with -p option
  * ported project to C++
  * Made it possible to create bison compatible output in C++
  * fixed problem with YY_@_ERROR_VERBOSE in bison.cc

 -- Magnus Ekdahl <magnus@debian.org>  Fri, 26 Jul 2002 12:19:39 +0200

=== debian/control ===
Source: bison++
Section: devel
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), texinfo
Standards-Version: 4.6.0

Package: bison++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: bison, bison-doc
Recommends: flex-old, c-compiler
Description: Generate a parser in c or c++ from BNF notation
 Based on bison version 1.19. Compatible with bison but with C++ support.
 Bison is a general-purpose parser generator that converts a grammar
 description for an LALR (BNF-like) context free grammar into a C/C++ program
 to parse that grammar. Once you are proficient with bison++ you can generate
 a wide range of language parsers, from those used in simple desk calculators
 to complex programming languages.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_clean:
	aclocal
	automake --add-missing
	dh_auto_clean

override_dh_auto_configure:
	aclocal
	autoconf
	automake --add-missing
	dh_auto_configure

override_dh_compress:
	dh_compress -X.h

%:
	dh $@

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_compress
